## com.sun.grizzly.async
Class AsyncWriteQueueRecord

    java.lang.Object
      com.sun.grizzly.async.AsyncWriteQueueRecord

    public class AsyncWriteQueueRecord

extends Object

`AsyncQueue` write data unit

Author:
  Alexey Stashok

Field Summary
`protected ByteBuffer` `byteBuffer`
`protected AsyncWriteCallbackHandler` `callbackHandler`
`protected SocketAddress` `dstAddress`
`protected AsyncQueueDataProcessor` `writePreProcessor`

Constructor Summary
`AsyncWriteQueueRecord()`

Method Summary
`ByteBuffer` `getByteBuffer()`
`AsyncWriteCallbackHandler` `getCallbackHandler()`
`SocketAddress` `getDstAddress()`
`AsyncQueueDataProcessor` `getWritePreProcessor()`
`void` `set(ByteBuffer byteBuffer, AsyncWriteCallbackHandler callbackHandler, AsyncQueueDataProcessor writePreProcessor, SocketAddress dstAddress)`
`void` `setByteBuffer(ByteBuffer byteBuffer)`
`void` `setCallbackHandler(AsyncWriteCallbackHandler callbackHandler)`
`void` `setDstAddress(SocketAddress dstAddress)`
`void` `setWritePreProcessor(AsyncQueueDataProcessor writePreProcessor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### byteBuffer

    protected ByteBuffer byteBuffer

### callbackHandler

    protected AsyncWriteCallbackHandler callbackHandler

### writePreProcessor

    protected AsyncQueueDataProcessor writePreProcessor

### dstAddress

    protected SocketAddress dstAddress

Constructor Detail

### AsyncWriteQueueRecord

    public AsyncWriteQueueRecord()

Method Detail

### set

    public void set(ByteBuffer byteBuffer,
                    AsyncWriteCallbackHandler callbackHandler,
                    AsyncQueueDataProcessor writePreProcessor,
                    SocketAddress dstAddress)

### getByteBuffer

    public ByteBuffer getByteBuffer()

### setByteBuffer

    public void setByteBuffer(ByteBuffer byteBuffer)

### getCallbackHandler

    public AsyncWriteCallbackHandler getCallbackHandler()

### setCallbackHandler

    public void setCallbackHandler(AsyncWriteCallbackHandler callbackHandler)

### getWritePreProcessor

    public AsyncQueueDataProcessor getWritePreProcessor()

### setWritePreProcessor

    public void setWritePreProcessor(AsyncQueueDataProcessor writePreProcessor)

### getDstAddress

    public SocketAddress getDstAddress()

### setDstAddress

    public void setDstAddress(SocketAddress dstAddress)

Copyright © 2008 SUN Microsystems. All Rights Reserved.